
body {
  font-family: 'Nunito';
  letter-spacing: 0.0625em;
}

a {
  color: #124F61;
}

a:focus, a:hover {
  text-decoration: none;
  color: #3c6360;
}

.bg-black {
  background-color: #161616 !important;
}

/*========================================================================================================*/
/* Butoons, Text and Colours */
/*========================================================================================================*/

.btn {
  box-shadow: 0 0.1875rem 0.1875rem 0 rgba(0, 0, 0, 0.1) !important;
  padding: 1.25rem 2rem;
  font-family: 'Varela Round';
  font-size: 80%;
  text-transform: uppercase;
  letter-spacing: .15rem;
  border: 0;
}

.btn-primary {
  background-color: #1F6378 !important;
  border-color: #1F6378 !important;
  color: #fff !important;
}

.btn-primary:hover, .btn-primary:focus, .btn-primary:active {
  background-color: #155d74 !important;
  border-color: #155d74 !important;
}

.btn-secondary {
  background-color: #ecb807 !important;
  border-color: #ecb807 !important;
  color: #fff !important;
}

.btn-secondary:hover, .btn-secondary:focus, .btn-secondary:active {
  background-color: #ba9106 !important;
  border-color: #ba9106 !important;
}

.btn-dark {
  color: #fff !important;
}

.btn {
  box-shadow: 0px 3px 3px 0px rgba(0, 0, 0, 0.1);
  font-weight: 700;
}

.bg-primary {
  background-color: #1F6378 !important;
}

.text-primary {
  color: #1F6378 !important;
}

.text-secondary {
  color: #ecb807 !important;
}


/*========================================================================================================*/
/* Navigation */
/*========================================================================================================*/

#mainNav {
  min-height: 56px;
  background-color: #fff;
}

#mainNav .navbar-toggler {
  font-size: 80%;
  padding: 0.75rem;
  color: #124F61;
  border: 1px solid #124F61;
}

#mainNav .navbar-toggler:focus {
  outline: none;
}

#mainNav .navbar-brand {
  color: #257189;
  font-weight: 700;
  padding: .9rem 0;
  font-size: 2rem;
}
#mainNav .navbar-nav .nav-item {
  font-size: 1.2rem;
}
#mainNav .navbar-nav .nav-item:hover {
  color: fade(white, 80%);
  outline: none;
  background-color: transparent;
}

#mainNav .navbar-nav .nav-item:active, #mainNav .navbar-nav .nav-item:focus {
  outline: none;
  background-color: transparent;
}

@media (min-width: 992px) {
  #mainNav {
    padding-top: 0;
    padding-bottom: 0;
    border-bottom: none;
    background-color: transparent;
    transition: background-color 0.3s ease-in-out;
  }
  #mainNav .navbar-brand {
    padding: .5rem 0;
    color: #257189;
  }
  #mainNav .nav-link {
    transition: none;
    padding: 2rem 1.5rem;
    color: #257189;
  }
  #mainNav .nav-link:hover {
    color: #B37D4E;
  }
  #mainNav .nav-link:active {
    color: white;
  }
  #mainNav.navbar-shrink {
    background-color: #fff;
    -webkit-box-shadow: inset -1px -16px 50px -20px rgba(0,0,0,0.35);
    -moz-box-shadow: inset -1px -16px 50px -20px rgba(0,0,0,0.35);
    box-shadow: inset -1px -16px 50px -20px rgba(0,0,0,0.35);
  }
  #mainNav.navbar-shrink .navbar-brand {
    color: #257189;

  }
  #mainNav.navbar-shrink .nav-link {
    color: #257189;
    padding: 1.5rem 1.5rem 1.25rem;
    border-bottom: 0.25rem solid transparent;
  }
  #mainNav.navbar-shrink .nav-link:hover {
    color: #124F61;
  }
  #mainNav.navbar-shrink .nav-link:active {
    color: #467370;
  }
  #mainNav.navbar-shrink .nav-link.active {
    color: #124F61;
    outline: none;
    border-bottom: 0.25rem solid #124F61;
  }
}

/*========================================================================================================*/
/* Header */
/*========================================================================================================*/
.masthead {
  position: relative;
  width: 100%;
  height: auto;
  min-height: 35rem;
  padding: 15rem 0;
  background: #fff;
  background: linear-gradient(to bottom, rgba(222, 222, 222, 0.1) 50%, rgba(100, 100, 100, 0.5) 75%, #161616 100%), url("../img/apex-background-light.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;

  -webkit-box-shadow: 0px 5px 17px -3px rgba(0,0,0,0.88);
  -moz-box-shadow: 0px 5px 17px -3px rgba(0,0,0,0.88);
  box-shadow: 0px 5px 17px -3px rgba(0,0,0,0.88);
}

.masthead h1 {
  font-family: 'Varela Round';
  font-size: 2.5rem;
  line-height: 2.5rem;
  letter-spacing: 0.8rem;
  background: -webkit-linear-gradient(rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0));
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
}

.masthead h2 {
  max-width: 20rem;
  font-size: 1rem;
}

@media (min-width: 768px) {
  .masthead h1 {
    font-size: 4rem;
    line-height: 4rem;
  }
}

@media (min-width: 992px) {
  .masthead {
    height: 100vh;
    padding: 0;
  }
  .masthead h1 {
    font-size: 6.5rem;
    line-height: 6.5rem;
    letter-spacing: 0.8rem;
  }
  .masthead h2 {
    max-width: 30rem;
    font-size: 1.25rem;
  }
}

/*========================================================================================================*/
/* About */
/*========================================================================================================*/
.about-section {
  padding-top: 3rem;
  font-size: 110%;

  -webkit-box-shadow: inset 0px -5px 26px -7px rgba(0,0,0,1);
  -moz-box-shadow: inset 0px -5px 26px -7px rgba(0,0,0,1);
  box-shadow: inset 0px -5px 26px -7px rgba(0,0,0,1);
}

.about-section p {
  margin-bottom: 2rem;
}

/*========================================================================================================*/
/* Services */
/*========================================================================================================*/
.services-section {
  background-color: #124F61 !important;
  padding: 3rem 0;
  font-size: 110%;

  -webkit-box-shadow: inset 0px -8px 59px -13px rgba(0,0,0,1);
  -moz-box-shadow: inset 0px -8px 59px -13px rgba(0,0,0,1);
  box-shadow: inset 0px -8px 59px -13px rgba(0,0,0,1);
}

.service-icon {
  background-color: #fff;
  color: #1F6378;
  height: 5rem;
  width: 5rem;
  display: block;
  line-height: 5.5rem;
  font-size: 1.75rem;
  box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.1);
}

.services-section .service-heading {
  padding: 2rem;
}

@media (min-width: 992px) {
  .services-section .service-heading {
    padding: 0 0 0 1rem;
  }
}

.services-section .featured-text-right {
  padding: 1rem;
}

@media (min-width: 992px) {
  .services-section .featured-text-right {
    padding: 0 0 0 0rem;
    border-left: 0.5rem solid #124F61;
  }
}

.services-section .featured-text-left {
  padding: 1rem;
}

@media (min-width: 992px) {
  .services-section .featured-text-left {
    padding: 0 0 0 0rem;
    border-right: 0.5rem solid #124F61;
  }
}

/*========================================================================================================*/
/* Properties */
/*========================================================================================================*/
.properties {
  padding: 18rem 0;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0.1) 100%), url("../img/bg-callout.jpg");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;

  -webkit-box-shadow: inset 0px 0px 53px -13px rgba(0,0,0,1);
  -moz-box-shadow: inset 0px 0px 53px -13px rgba(0,0,0,1);
  box-shadow: inset 0px 0px 53px -13px rgba(0,0,0,1);
}

.property-link {
  color: #B37D4E;
}
.property-link:hover {
  color: #fff;
}

/*========================================================================================================*/
/* Fees */
/*========================================================================================================*/
.fees-section {
  background-color: #124F61 !important;
  padding: 3rem 0;
  font-size: 110%;

-webkit-box-shadow: inset 0px -8px 59px -13px rgba(0,0,0,1);
-moz-box-shadow: inset 0px -8px 59px -13px rgba(0,0,0,1);
box-shadow: inset 0px -8px 59px -13px rgba(0,0,0,1);
}

.fees-icon {
  background-color: #fff;
  color: #1F6378;
  height: 5rem;
  width: 5rem;
  display: block;
  line-height: 5.5rem;
  font-size: 1.75rem;
  box-shadow: 0 3px 3px 0 rgba(0, 0, 0, 0.1);
}

.fees-section .fees-heading {
  padding: 2rem;
}

@media (min-width: 992px) {
  .fees-section .fees-heading {
    padding: 0 0 0 1rem;
  }
}

.fees-section .featured-text-right {
  padding: 1rem;
}

@media (min-width: 992px) {
  .fees-section .featured-text-right {
    padding: 0 0 0 0rem;
    border-left: 0.5rem solid #124F61;
  }
}

.fees-section .featured-text-left {
  padding: 1rem;
}

@media (min-width: 992px) {
  .fees-section .featured-text-left {
    padding: 0 0 0 0rem;
    border-right: 0.5rem solid #124F61;
  }
}


/*========================================================================================================*/
/* Gallery */
/*========================================================================================================*/
.gallery-section {
  padding: 3rem;
}

.flip-card {
  -webkit-perspective: 1000;
          perspective: 1000;
  border: 0;
  background: transparent;
}

.flip-card:hover .flip-card-inner,
.flip-card.hover .flip-card-inner {
  -webkit-transform: rotateY(180deg);
          transform: rotateY(180deg);
}

.flip-card,
.flip-card-inner-front,
.flip-card-inner-back {
  width: 100%;
  height: 22rem;
}

.flip-card-inner {
  transition: 0.6s;
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
  position: relative;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}

.flip-card-inner-front,
.flip-card-inner-back {
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  position: absolute;
  top: 0;
  left: 0;
}

.flip-card-inner-front {
  z-index: 2;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.flip-card-inner-front span {
  width: 100%;
  text-align: center;
  background: rgba(254, 254, 254, 0.8);
  padding: 0.25rem 0;
  font-size: 1.25rem;
  font-weight: bold;
}

.flip-card-inner-back {
  -webkit-transform: rotateY(180deg);
          transform: rotateY(180deg);
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  text-align: center;
}

.flip-card-inner-back-title {
  font-weight: bold;
}

.flip-card-inner-back-text {
  line-height: 1.3;
}


/*========================================================================================================*/
/* Contact */
/*========================================================================================================*/
.contact-section {
  padding: 5rem 0;
  background: linear-gradient(to bottom, rgba(22, 22, 22, 0.1) 0%, rgba(22, 22, 22, 0.5) 75%, #161616 100%), url("../img/house-image-1.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
}

.contact-section .form-inline input {
  box-shadow: 0 0.1875rem 0.1875rem 0 rgba(0, 0, 0, 0.1) !important;
  padding: 1.25rem 2rem;
  height: auto;
  font-family: 'Varela Round';
  font-size: 80%;
  text-transform: uppercase;
  letter-spacing: 0.15rem;
  border: 0;
}

.contact-section {
  padding: 5rem 0 0;
}

.contact-section .card {
  border: 0;
  border-bottom: 0.25rem solid #124F61;
}

.contact-section .card h4 {
  font-size: 0.8rem;
  font-family: 'Varela Round';
  text-transform: uppercase;
  letter-spacing: 0.15rem;
}

.contact-section .card hr {
  border-color: #124F61;
  border-width: 0.25rem;
  width: 3rem;
}

.social-section .social {
}

.social-section .social a {
  text-align: center;
  height: 3rem;
  width: 3rem;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 100%;
  line-height: 3rem;
  color: rgba(255, 255, 255, 0.3);
}

.social-section .social a:hover {
  color: rgba(255, 255, 255, 0.5);
}

.social-section .social a:active {
  color: #fff;
}


/* Footer */
/*================================================*/
footer {
  padding: 5rem 0;
}


/* Image Center */

.responsive-container {
    position: relative;
    width: 100%;
    /*border: 1px solid black;*/
}

.dummy {
    padding-top: 75%; /* forces 1:1 aspect ratio */
}

.img-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;

    text-align:center; /* Align center inline elements */
    font: 0/0 a;
}

.img-container:before {
    content: ' ';
    display: inline-block;
    vertical-align: middle;
    height: 75%;
}

.img-container img {
    vertical-align: middle;
    display: inline-block;
}


.content-image {
  border-radius: 2px 2px 2px 2px;
  -webkit-border-radius: 2px 2px 2px 2px;
  -moz-border-radius: 2px 2px 2px 2px;
}

.content-img-right {
  box-shadow: -12px 10px 26px -2px rgba(0,0,0,0.75);
  -webkit-box-shadow: -12px 10px 26px -2px rgba(0,0,0,0.75);
  -moz-box-shadow: -12px 10px 26px -2px rgba(0,0,0,0.75);
}

.content-img-left{
  box-shadow: 12px 10px 26px -2px rgba(0,0,0,0.75);
  -webkit-box-shadow: 12px 10px 26px -2px rgba(0,0,0,0.75);
  -moz-box-shadow: 12px 10px 26px -2px rgba(0,0,0,0.75);
}



/*==========================================================================*/







